var angular = require('angular');
require('../modules');
require('../../linker/services/LinkerTreeService');

var module = angular.module('tree.directives');

/**
* 部门人员树组件
*
* 使用方式: <sino-tree tree-config="treeConfig" select-option="selectOption"></sino-tree>
* 
* treeConfig : {
*     topDeptId: '顶级部门'  默认'001'
*    type: 'user',  部门人员树 user-人员树, dept-部门树
*    moreSelect: false, 是否多选
*    selectType: {
*      'user': true, '是否可以选择人员'
*      'dept': false  '是否可以选择部门'
*    },
*    default: {
*      'userIds': [],
*      'deptIds': []
*    },
*    filterFn: {Function} 过滤函数, 若果是selectType 是user 回调函数中有user, supDepts,
*       如果是selectTyope是dept， 回调函数，supDepts
*  }
*/
module.directive('sinoTree', function() {
  return {
    restrict: 'EA',
    replace: true,
    templateUrl: 'views/tree/tree.tpl.html',
    scope: {
      treeConfig: '=treeConfig'
    },
    controller: 'TreeCtrl'
  };
});
